%define upstream_name Date_Holidays
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.21.8
Release:     	%mkrel 8
Summary:    	Driver based class to calculate holidays
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Date_Holidays-%{version}.tgz
URL: 		http://pear.php.net/package/Date_Holidays
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.6.0
Requires:	php-pear-Date
Requires:	php-pear-XML_Serializer
BuildArch: 	noarch
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}/tests/

%description
Date_Holidays helps you calculate the dates and titles of holidays and
other special celebrations. The calculation is driver-based so it is easy
to add new drivers that calculate a country's holidays. The methods of the
class can be used to get a holiday's date and title in various languages.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock


mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Date_Holidays.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Date_Holidays.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Date_Holidays
fi

%files
%doc docs/Date_Holidays/*
%{_bindir}/pear-dh-compile-translationfile
%{_bindir}/pear-dh-ini2xml
%{peardir}/*
%{xmldir}/Date_Holidays.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.21.8-8.mga6
+ Revision: 950447
- Mageia 6 Mass Rebuild

* Wed Oct 29 2014 tv <tv> 0.21.8-7.mga5
+ Revision: 794551
- exclude deps from tests

* Wed Oct 15 2014 umeabot <umeabot> 0.21.8-6.mga5
+ Revision: 743164
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.21.8-5.mga5
+ Revision: 734038
- rebuild for pear deps

* Fri Sep 26 2014 tv <tv> 0.21.8-4.mga5
+ Revision: 725177
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.21.8-3.mga5
+ Revision: 687220
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.21.8-2.mga4
+ Revision: 527984
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 spuhler <spuhler> 0.21.8-1.mga4
+ Revision: 443127
- upgrade to version 0.21.8

* Sun Jan 13 2013 umeabot <umeabot> 0.21.6-2.mga3
+ Revision: 376007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 spuhler <spuhler> 0.21.6-1.mga2
+ Revision: 217761
- upgrade to 0.21.6
- reversed last change

* Fri Feb 10 2012 pterjan <pterjan> 0.21.5-2.mga2
+ Revision: 206754
- Don't ship the test, they create broken dependencies

* Mon Jan 23 2012 spuhler <spuhler> 0.21.5-1.mga2
+ Revision: 200105
- upgrade to 0.21.5
  pearized spec file

* Tue Mar 15 2011 spuhler <spuhler> 0.21.2-7.mga1
+ Revision: 71930
- reversed last change and fixed it in the Norway package
  increased rel for build

* Sat Mar 12 2011 spuhler <spuhler> 0.21.2-6.mga1
+ Revision: 70222
- removed php-pear-Date_Holidays_Norway as suggest because of a dep bug

* Mon Feb 07 2011 spuhler <spuhler> 0.21.2-5.mga1
+ Revision: 48409
- removed the if mdkversion lines  from spec
  increased rel t 4 for rebuild

* Mon Jan 17 2011 spuhler <spuhler> 0.21.2-4.mga1
+ Revision: 20733
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-Date_Holidays


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.21.2-4mdv2011.0
+ Revision: 607096
- rebuild

* Wed Dec 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.21.2-3mdv2010.1
+ Revision: 479265
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.21.2-2mdv2010.0
+ Revision: 446964
- use pear installer
- spec cleanup

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.21.2-1mdv2009.1
+ Revision: 368156
- Update to 0.21.2 version

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.17.1-4mdv2009.1
+ Revision: 321809
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.17.1-3mdv2009.0
+ Revision: 224705
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.17.1-2mdv2008.1
+ Revision: 178506
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 23 2007 Oden Eriksson <oeriksson@mandriva.com> 0.17.1-1mdv2008.0
+ Revision: 54558
- 0.17.1

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.17.0-1mdv2008.0
+ Revision: 15535
- 0.17.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.16.0-1mdv2007.0
+ Revision: 81086
- Import php-pear-Date_Holidays

* Sat Apr 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.16.0-1mdk
- 0.16.0

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.15.1-1mdk
- 0.15.1
- new group (Development/PHP)

* Sun Nov 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.14.0-1mdk
- 0.14.0

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.0-1mdk
- initial Mandriva package (PLD import)

